package com.mdd.admin.validate.finance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("退款记录搜索参数")
public class FinanceRefundSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("筛选类型: -1=全部, 0=退款中, 1=退款成功, 2=退款失败")
   private Integer type;
   @ApiModelProperty("用户信息")
   private String keyword;
   @ApiModelProperty("退款单号")
   private String sn;
   @ApiModelProperty("来源单号")
   private String orderSn;
   @ApiModelProperty("退款类型: 1=后台退款")
   private Integer refundType;
   @ApiModelProperty("开始时间")
   private Long startTime;
   @ApiModelProperty("结束时间")
   private Long endTime;

   public Integer getType() {
      return this.type;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public String getSn() {
      return this.sn;
   }

   public String getOrderSn() {
      return this.orderSn;
   }

   public Integer getRefundType() {
      return this.refundType;
   }

   public Long getStartTime() {
      return this.startTime;
   }

   public Long getEndTime() {
      return this.endTime;
   }

   public void setType(Integer type) {
      this.type = type;
   }

   public void setKeyword(String keyword) {
      this.keyword = keyword;
   }

   public void setSn(String sn) {
      this.sn = sn;
   }

   public void setOrderSn(String orderSn) {
      this.orderSn = orderSn;
   }

   public void setRefundType(Integer refundType) {
      this.refundType = refundType;
   }

   public void setStartTime(Long startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(Long endTime) {
      this.endTime = endTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FinanceRefundSearchValidate)) {
         return false;
      } else {
         FinanceRefundSearchValidate other = (FinanceRefundSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label95: {
               Object this$type = this.getType();
               Object other$type = other.getType();
               if (this$type == null) {
                  if (other$type == null) {
                     break label95;
                  }
               } else if (this$type.equals(other$type)) {
                  break label95;
               }

               return false;
            }

            Object this$refundType = this.getRefundType();
            Object other$refundType = other.getRefundType();
            if (this$refundType == null) {
               if (other$refundType != null) {
                  return false;
               }
            } else if (!this$refundType.equals(other$refundType)) {
               return false;
            }

            Object this$startTime = this.getStartTime();
            Object other$startTime = other.getStartTime();
            if (this$startTime == null) {
               if (other$startTime != null) {
                  return false;
               }
            } else if (!this$startTime.equals(other$startTime)) {
               return false;
            }

            label74: {
               Object this$endTime = this.getEndTime();
               Object other$endTime = other.getEndTime();
               if (this$endTime == null) {
                  if (other$endTime == null) {
                     break label74;
                  }
               } else if (this$endTime.equals(other$endTime)) {
                  break label74;
               }

               return false;
            }

            label67: {
               Object this$keyword = this.getKeyword();
               Object other$keyword = other.getKeyword();
               if (this$keyword == null) {
                  if (other$keyword == null) {
                     break label67;
                  }
               } else if (this$keyword.equals(other$keyword)) {
                  break label67;
               }

               return false;
            }

            Object this$sn = this.getSn();
            Object other$sn = other.getSn();
            if (this$sn == null) {
               if (other$sn != null) {
                  return false;
               }
            } else if (!this$sn.equals(other$sn)) {
               return false;
            }

            Object this$orderSn = this.getOrderSn();
            Object other$orderSn = other.getOrderSn();
            if (this$orderSn == null) {
               if (other$orderSn != null) {
                  return false;
               }
            } else if (!this$orderSn.equals(other$orderSn)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof FinanceRefundSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $refundType = this.getRefundType();
      result = result * 59 + ($refundType == null ? 43 : $refundType.hashCode());
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null ? 43 : $startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
      Object $keyword = this.getKeyword();
      result = result * 59 + ($keyword == null ? 43 : $keyword.hashCode());
      Object $sn = this.getSn();
      result = result * 59 + ($sn == null ? 43 : $sn.hashCode());
      Object $orderSn = this.getOrderSn();
      result = result * 59 + ($orderSn == null ? 43 : $orderSn.hashCode());
      return result;
   }

   public String toString() {
      return "FinanceRefundSearchValidate(type=" + this.getType() + ", keyword=" + this.getKeyword() + ", sn=" + this.getSn() + ", orderSn=" + this.getOrderSn() + ", refundType=" + this.getRefundType() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ")";
   }
}
